Skip to main content
PATCH
/
v4
/
data-field
/
{id}
Update data field
curl --request PATCH \
  --url https://api.example.com/v4/data-field/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-meetergo-api-user-id: <api-key>' \
  --data '
{
  "label": "<string>",
  "name": "<string>",
  "fieldType": "email",
  "target": "other",
  "required": true,
  "hidden": false,
  "defaultValue": "<string>",
  "placeholder": "<string>",
  "locales": [
    {
      "locale": "<string>",
      "label": "<string>"
    }
  ],
  "options": [
    {
      "label": "<string>",
      "value": "<string>",
      "image": "<string>",
      "icon": "<string>"
    }
  ],
  "contactOptions": {
    "salutation": false,
    "firstName": true,
    "lastName": true,
    "email": true,
    "phone": true,
    "mobile": false,
    "birthdate": false,
    "street": false,
    "addressSupplement": false,
    "zip": false,
    "city": false,
    "country": false
  },
  "bankDetailsOptions": {
    "showBic": true,
    "showAccountHolder": true,
    "showSignature": false
  },
  "licensePlateOptions": {
    "countryFilter": "all"
  },
  "min": 123,
  "max": 123,
  "style": 123,
  "defaultCountryCode": "<string>",
  "useMarkdown": false,
  "helpText": "<string>",
  "displayStyle": "default",
  "conditions": {},
  "headingLevel": 123,
  "hideUntilChange": false,
  "showInfobox": false,
  "infoboxText": "<string>",
  "requireSignatureOtp": false,
  "hubspotContactField": "<string>",
  "hubspotCompanyField": "<string>",
  "pipedriveContactField": "<string>",
  "salesforceContactField": "<string>",
  "salesforceLeadField": "<string>",
  "salesforceCaseField": "<string>",
  "salesforceOpportunityField": "<string>",
  "salesforceAccountField": "<string>",
  "evalancheFieldId": "<string>",
  "klicktippFieldId": "<string>"
}
'
{
  "id": 123,
  "label": "<string>",
  "name": "<string>",
  "target": "email",
  "fieldType": "email",
  "required": true,
  "hidden": true,
  "default": true,
  "mutable": true,
  "defaultValue": "<string>",
  "placeholder": "<string>",
  "locales": [
    {
      "locale": "<string>",
      "label": "<string>"
    }
  ],
  "options": [
    {
      "label": "<string>",
      "value": "<string>",
      "image": "<string>",
      "icon": "<string>"
    }
  ],
  "slideOptions": {
    "description": "<string>",
    "multiselect": true,
    "type": "checkbox",
    "hideLabel": true
  },
  "fileFieldOptions": {
    "allowedExtensions": [
      "<string>"
    ],
    "maxFileSizeMB": 5,
    "maxFiles": 1,
    "enableCameraCapture": false
  },
  "contactOptions": {
    "salutation": false,
    "firstName": true,
    "lastName": true,
    "email": true,
    "phone": true,
    "mobile": false,
    "birthdate": false,
    "street": false,
    "addressSupplement": false,
    "zip": false,
    "city": false,
    "country": false
  },
  "bankDetailsOptions": {
    "showBic": true,
    "showAccountHolder": true,
    "showSignature": false
  },
  "licensePlateOptions": {
    "countryFilter": "all"
  },
  "pdfTemplateOptions": {
    "fileAssetId": "<string>",
    "pdfmeTemplate": {},
    "requireSignature": false,
    "requireSignatureOtp": false
  },
  "fileDownloadOptions": {
    "fileAssetIds": [
      "<string>"
    ],
    "fileNames": {}
  },
  "min": 123,
  "max": 123,
  "style": 123,
  "defaultCountryCode": "<string>",
  "useMarkdown": true,
  "helpText": "<string>",
  "displayStyle": "<string>",
  "conditions": {},
  "headingLevel": 123,
  "hideUntilChange": true,
  "showInfobox": true,
  "infoboxText": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

x-meetergo-api-user-id
string
header
required

User ID to act as when using API Key authentication (required with API Key)

Path Parameters

id
integer
required

Body

application/json

All fields from CreateDataFieldV4Dto (all optional) plus CRM field mappings

label
string

Display label for the field

name
string

Unique identifier name (auto-slugified if not provided)

fieldType
enum<string>
Available options:
email,
phone,
text-single,
text-multi,
number,
select,
checkbox-single,
checkbox-multi,
radio,
slide,
url,
file,
date-of-birth,
yes-no,
rating,
signature,
date,
time,
image,
heading,
separator,
page-break,
contact,
bank-details,
license-plate,
info-text,
info-image,
info-video,
currency,
location,
pdf-template,
file-download
target
enum<string>
default:other
Available options:
email,
firstname,
lastname,
fullname,
phone,
other
required
boolean
default:true
hidden
boolean
default:false
defaultValue
string
placeholder
string
locales
object[]
options
object[]
slideOptions
object
fileFieldOptions
object
contactOptions
object

Controls which sub-inputs are shown in a contact composite field

bankDetailsOptions
object

Controls optional sub-inputs for SEPA/bank details (IBAN always shown)

licensePlateOptions
object
pdfTemplateOptions
object
fileDownloadOptions
object
min
number

Minimum value (for number fields)

max
number

Maximum value (for number fields)

style
number
defaultCountryCode
string

Default country code for phone fields (e.g., +49)

useMarkdown
boolean
default:false

Render label as Markdown

helpText
string

Help text shown below the field

displayStyle
enum<string>
Available options:
default,
card-icon,
card-image
conditions
object

Conditional visibility expression

headingLevel
number

Heading level 1-6 (for heading fields)

hideUntilChange
boolean
default:false
showInfobox
boolean
default:false
infoboxText
string
requireSignatureOtp
boolean
default:false
hubspotContactField
string
hubspotCompanyField
string
pipedriveContactField
string
salesforceContactField
string
salesforceLeadField
string
salesforceCaseField
string
salesforceOpportunityField
string
salesforceAccountField
string
evalancheFieldId
string
klicktippFieldId
string

Response

id
integer
label
string
name
string
target
enum<string>
Available options:
email,
firstname,
lastname,
fullname,
phone,
other
fieldType
enum<string>
Available options:
email,
phone,
text-single,
text-multi,
number,
select,
checkbox-single,
checkbox-multi,
radio,
slide,
url,
file,
date-of-birth,
yes-no,
rating,
signature,
date,
time,
image,
heading,
separator,
page-break,
contact,
bank-details,
license-plate,
info-text,
info-image,
info-video,
currency,
location,
pdf-template,
file-download
required
boolean
hidden
boolean
default
boolean
mutable
boolean
defaultValue
string
placeholder
string
locales
object[]
options
object[]
slideOptions
object
fileFieldOptions
object
contactOptions
object

Controls which sub-inputs are shown in a contact composite field

bankDetailsOptions
object

Controls optional sub-inputs for SEPA/bank details (IBAN always shown)

licensePlateOptions
object
pdfTemplateOptions
object
fileDownloadOptions
object
min
number
max
number
style
number
defaultCountryCode
string
useMarkdown
boolean
helpText
string
displayStyle
string
conditions
object
headingLevel
number
hideUntilChange
boolean
showInfobox
boolean
infoboxText
string
createdAt
string<date-time>
updatedAt
string<date-time>